import { ConfService } from './types';
/**
 * Clase para dar soporte al manejo de los hilos
 * sobre los microservicios.
 * @class
 */
export default class FluentdLogs {
    /**
     *  Logger de fluentd
     */
    private Fluentd;
    /**
     *  Configuracion del servicio
     */
    private confService;
    constructor();
    /**
     * Metodo para iniciar la configuracion de los datos del
     * logs controler.
     * @param conf Configuracion del servicio
     */
    config(conf: ConfService): void;
    /**
     * Info
     * @param message Mensaje a publicar
     */
    info(message: any, ...data: any[]): void;
    /**
     * Warning
     * @param message Mensaje a publicar
     */
    warning(message: any, ...data: any[]): void;
    /**
     * Error
     * @param message Mensaje a publicar
     */
    error(message: any, error?: any, ...data: any[]): void;
    /**
     * Log
     * @param message Mensaje a publicar
     */
    log(message: any, ...data: any[]): void;
    /**
     *  Metodo para enviar el mensaje de logs
     * @param Type Tipo del log
     * @param Message Mensaje a enviar
     * @param error Objeto con el error
     * @param rest Otros parametros
     */
    private publishLog;
}
